---

install_apache:
  http_port: 80
  https_port: 443
  system_user: "www-data"
  system_group: "www-data"
  clear_vhosts: true
  loglevel: "info"
  ssl_key: ""
  ssl_cert: ""

install_apache_enabled_base_modules:
  - "ssl"
  - "rewrite"
  - "proxy"
  - "proxy_http"
  - "ldap"
  - "authnz_ldap"
  - "filter"
  - "deflate"
  - "headers"
  - "proxy_wstunnel"

install_apache__supplementary_mods:
  deflate:
    enabled: true
  evasive:
    enabled: true
  headers:
    enabled: true
  pagespeed:
    enabled: true
  prefork:
    enabled: true
    start_servers: 1
    min_spare_servers: 3
    max_spare_servers: 3
    max_request_workers: 20 # 512 MB / 20 MB = 25.6
    max_connections_per_child: 5000
  qos:
    enabled: false
  security:
    enabled: true
    version: "3.0.10"
    core_version: "3.3.0"
  ldap:
    enabled: true
    verify_server_cert: "off"
